Debian Bug report logs - #504868
FTBFS with GCC 4.4: missing #include

version graph

Package: ddd; Maintainer for ddd is Daniel Schepler <schepler@debian.org>; Source for ddd is src:ddd.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 7 Nov 2008 18:21:04 UTC

Severity: normal

Tags: patch

Found in version ddd/1:3.3.11-1

Fixed in version ddd/1:3.3.12-1

Done: Daniel Schepler <schepler@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Schepler <schepler@debian.org>:
Bug#504868; Package ddd. (Fri, 07 Nov 2008 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Daniel Schepler <schepler@debian.org>. (Fri, 07 Nov 2008 18:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.4: missing #include
Date: Fri, 7 Nov 2008 19:14:28 +0100
Package: ddd
Version: 1:3.3.11-1
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.4
Tags: patch

Your package fails to build with the upcoming GCC 4.4.  Version 4.4
has not been released yet but I'm building with a snapshot in order
to find errors and give people an advance warning.

GCC 4.4 cleaned up some more C++ headers.  You always have to #include
headers directly and cannot rely for things to be included indirectly.

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of ddd_1:3.3.11-1 on em64t by sbuild/amd64 0.53
...
> g++ -DHAVE_CONFIG_H -I. -I/build/tbm/ddd-3.3.11/./ddd -I.  -I/build/tbm/ddd-3.3.11/./ddd/..    -O2 -O2 -g -Wall -W -Wwrite-strings -Wall -W -DNDEBUG -trigraphs  -c -o strclass.o /build/tbm/ddd-3.3.11/./ddd/strclass.C
> /build/tbm/ddd-3.3.11/./ddd/strclass.C: In function 'std::istream& operator>>(std::istream&, string&)':
> /build/tbm/ddd-3.3.11/./ddd/strclass.C:1547: error: 'EOF' was not declared in this scope
> /build/tbm/ddd-3.3.11/./ddd/strclass.C:1560: error: 'EOF' was not declared in this scope
> /build/tbm/ddd-3.3.11/./ddd/strclass.C: In function 'int readline(std::istream&, string&, char, int)':
> /build/tbm/ddd-3.3.11/./ddd/strclass.C:1590: error: 'EOF' was not declared in this scope
> /build/tbm/ddd-3.3.11/./ddd/strclass.C:1603: error: 'EOF' was not declared in this scope
> make[3]: *** [strclass.o] Error 1
> make[3]: Leaving directory `/build/tbm/ddd-3.3.11/builddir/ddd'

--- ddd/strclass.C~	2008-11-07 17:57:13.000000000 +0000
+++ ddd/strclass.C	2008-11-07 17:57:27.000000000 +0000
@@ -39,6 +39,7 @@
 #include <ctype.h>
 #include <limits.h>
 #include <new>
+#include <cstdio>
 #include <stdlib.h>
 
 void string::error(const char* msg) const

-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Daniel Schepler <schepler@debian.org>:
You have taken responsibility. (Sun, 22 Nov 2009 22:06:10 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Sun, 22 Nov 2009 22:06:10 GMT) Full text and rfc822 format available.

Message #10 received at 504868-close@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@debian.org>
To: 504868-close@bugs.debian.org
Subject: Bug#504868: fixed in ddd 1:3.3.12-1
Date: Sun, 22 Nov 2009 22:02:26 +0000
Source: ddd
Source-Version: 1:3.3.12-1

We believe that the bug you reported is fixed in the latest version of
ddd, which is due to be installed in the Debian FTP archive:

ddd-doc_3.3.12-1_all.deb
  to main/d/ddd/ddd-doc_3.3.12-1_all.deb
ddd_3.3.12-1.diff.gz
  to main/d/ddd/ddd_3.3.12-1.diff.gz
ddd_3.3.12-1.dsc
  to main/d/ddd/ddd_3.3.12-1.dsc
ddd_3.3.12-1_amd64.deb
  to main/d/ddd/ddd_3.3.12-1_amd64.deb
ddd_3.3.12.orig.tar.gz
  to main/d/ddd/ddd_3.3.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504868@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Schepler <schepler@debian.org> (supplier of updated ddd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Nov 2009 14:01:10 -0800
Source: ddd
Binary: ddd ddd-doc
Architecture: source all amd64
Version: 1:3.3.12-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Schepler <schepler@debian.org>
Changed-By: Daniel Schepler <schepler@debian.org>
Description: 
 ddd        - The Data Display Debugger, a graphical debugger frontend
 ddd-doc    - Additional documentation for the Data Display Debugger
Closes: 460139 504868 513640 553746 555511
Changes: 
 ddd (1:3.3.12-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #555511.  Thanks to giagimari@libero.it
     for pointing out that upstream had moved.
     + Includes new .desktop file.  Closes: #513640.
   * Put version on lpr Build-Depends to make sure providing package
     doesn't result in wrong command in app-default file.
   * Adjust Build-Depends for readline 6 transition.  Closes: #553746.
   * Fix build error with g++-4.4.  Closes: #504868.
   * Minor improvement to package description, thanks to Reuben Thomas.
     Closes: #460139.
Checksums-Sha1: 
 a4c7f2ec102934f9fa6171fafb379fa6f2e9fb96 1163 ddd_3.3.12-1.dsc
 b91d2dfb1145af409138bd34517a898341724e56 5687115 ddd_3.3.12.orig.tar.gz
 67a4007b3842c07db1a534421754c0e70f039a97 22030 ddd_3.3.12-1.diff.gz
 5a3e98765139d0573e5e13d5baeab688932de1cd 1876180 ddd-doc_3.3.12-1_all.deb
 6c6089ed23730459979d53746aef77d0d36506da 1473964 ddd_3.3.12-1_amd64.deb
Checksums-Sha256: 
 69dd11d0430264d99850434d99675504138ecf44b6002c5d61a9e6b81c53a3a5 1163 ddd_3.3.12-1.dsc
 3ad6cd67d7f4b1d6b2d38537261564a0d26aaed077bf25c51efc1474d0e8b65c 5687115 ddd_3.3.12.orig.tar.gz
 25ed89502e90b80ce49315baa2a651d0cc3df9d1a3fb438301f7eccfc04c8ffe 22030 ddd_3.3.12-1.diff.gz
 9ee3f7cccf3712c027263d0437a858b070f9dc61a45491cf25b5ecf670a8cc08 1876180 ddd-doc_3.3.12-1_all.deb
 2ea0b3269e72d40cec03c127d70e7184f23b15e1d6552110aedc727be20397c0 1473964 ddd_3.3.12-1_amd64.deb
Files: 
 702fd976993a181be91873992b465df1 1163 devel optional ddd_3.3.12-1.dsc
 c50396db7bac3862a6d2555b3b22c34e 5687115 devel optional ddd_3.3.12.orig.tar.gz
 4639022261ad31b043eed9c0eb8fbfb3 22030 devel optional ddd_3.3.12-1.diff.gz
 05066f5a83e1a46631b850570b8da00a 1876180 doc optional ddd-doc_3.3.12-1_all.deb
 90a2dd9415107f94806e2bf376ae437d 1473964 devel optional ddd_3.3.12-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksJsLsACgkQNC3LAyACFJALdgCffhOtALcG1Yic80l6yAi/F1Py
tVkAn33v5rwwGYxWeaiUYQwuv8zQNYgI
=igWQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:35:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:21:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.